#! /bin/sh
# This script expects to be run from the parent directory
# ex. scripts/cmconfig.sh

if [ "$1" = "noedit" ]
then
    echo "no editor"
    cmake -Wno-dev -DNO_EDITOR=ON -DGLFW_BUILD_DOCS=OFF -DBOX2D_BUILD_TESTBED=OFF -S . -B build/
else
    echo "including editor"
    cmake -Wno-dev -DNO_EDITOR=OFF -DGLFW_BUILD_DOCS=OFF -DBOX2D_BUILD_TESTBED=OFF -S . -B build/
fi